﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace GameOfLife
{
    class Program
    {
        /// <summary>
        /// Runs the Game of Life.
        /// </summary>
        /// <param name="args"></param>
        static void Main(string[] args)
        {
            Grid grid = new Grid();
            
            // This is an interesting value to play aroudn with.
            // Interestingly, very high values (close to 1) end up
            // with way too much overcrowding, and everything ends up dying
            // after only a single round. The same thing happens when it is
            // too low. But get it in the middle, in the sweet spot, and 
            // you'll see a more interesting evolution.
            grid.Randomize(0.33);

            // Loop until the game ends. (Never.)
            while (true)
            {
                grid.Draw();
                grid.Update();

                // This is the time between updates, measured in milliseconds.
                Thread.Sleep(250);
            }
        }
    }
}
